<?php
/* Mantenimiento de los registros de la tabla GSS_FeriadosMast redefinidos por el usaurio */
class GSS_FeriadosMastDP extends BaseGSS_FeriadosMastDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdFeriado ) IS NULL, 1, MAX( IdFeriado ) + 1 ) i_Id FROM GSS_FeriadosMast;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        return $o_ResultSet->getInt( 'i_Id' );
    }

    public static function limpiarMaestro()
    {
        $s_Sql = "delete from GSS_FeriadosMast;";
        Conexion::getConexion()->createStatement()->executeQuery( $s_Sql );
    }
}
?>